<ion-content>

  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label> {{ 'Demands >> Update Demand' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Update Demand' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'Update a selected Demand' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="updateDemandLog()" method="post">

        <ion-item>
          <ion-label position="floating">{{ 'Name' | translate }}</ion-label>
          <ion-input formControlName="name" type="text" name="name"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
         {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Description' | translate }}</ion-label>
          <ion-input formControlName="description" type="text" name="description"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('description').hasError('required') && form.get('description').touched">
           {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Amount' | translate }}</ion-label>
          <ion-input formControlName="amount" type="number" name="amount" min="0" (ionInput)="changeToPositive()"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('amount').hasError('required') && form.get('amount').touched">
         {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Due Date' | translate }}</ion-label>
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" pickerFormat="MMM DD, YYYY HH:mm" min="{{minDate}}"
            max="{{maxDate}}" placeholder="Select Date" formControlName="dueDate" name="dueDate"></ion-datetime>
        </ion-item>

        <div style="color: red" *ngIf="form.get('dueDate').hasError('required') && form.get('dueDate').touched">
           {{ 'This field is required*' | translate }}</div>

        <div *ngIf="this.cacheObject?.paymentStatus === 'Due'">
          <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" type="submit" expand="full"
            color="primary" [disabled]="!form.valid">
            {{ 'Update Demand' | translate }}</ion-button>
          <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" expand="full" color="danger"
            (click)="removeDemandLog()">{{ 'Remove Demand' | translate }}</ion-button>
        </div>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>